function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   return "Move Expression Baseline Up", "Move Expression Baseline Up", "Moves the selected expression baseline up one space"
end

function ToEvpus(text)
    local str = finale.FCString()
    str.LuaString = text
    return str:GetMeasurement(finale.MEASUREMENTUNIT_DEFAULT)
end

function moveChordBaselineUp()

    local region = finenv.Region()
    local systems = finale.FCStaffSystems()
    systems:LoadAll()

    local start_measure = region:GetStartMeasure()
    local end_measure = region:GetEndMeasure()
    local system = systems:FindMeasureNumber(start_measure)
    local lastSys = systems:FindMeasureNumber(end_measure)
    local system_number = system:GetItemNo()
    local lastSys_number = lastSys:GetItemNo()
    local start_staff = region:GetStartStaff()
    local end_staff = region:GetEndStaff()

    for i = system_number, lastSys_number, 1 do
        local baselines = finale.FCBaselines()
        baselines:LoadAllForSystem(finale.BASELINEMODE_CHORD, i)
        for j = start_staff, end_staff, 1 do
            bl = baselines:AssureSavedStaff(finale.BASELINEMODE_CHORD, i, j)
            bl.VerticalOffset = bl.VerticalOffset + ToEvpus('1s')
            bl:Save()
        end
    end
end

moveChordBaselineUp()